AFPImageHandlerRawCCITTFax (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.afp

## Class AFPImageHandlerRawCCITTFax

- java.lang.Object
- - org.apache.fop.render.afp.AFPImageHandler
  - - org.apache.fop.render.afp.AbstractAFPImageHandlerRawStream
    - - org.apache.fop.render.afp.AFPImageHandlerRawCCITTFax

- All Implemented Interfaces:
    ImageHandler, ImageHandlerBase

      public class AFPImageHandlerRawCCITTFax
      extends AbstractAFPImageHandlerRawStream

  AFPImageHandler implementation which handles CCITT encoded images (CCITT fax group 3/4).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPImageHandlerRawCCITTFax()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AFPDataObjectInfo` | `createDataObjectInfo()` Creates the data object information object
    `int` | `getPriority()` Returns the priority for this image handler.
    `java.lang.Class` | `getSupportedImageClass()` Returns the `Class` subclass supported by this instance.
    `org.apache.xmlgraphics.image.loader.ImageFlavor[]` | `getSupportedImageFlavors()` Returns the `ImageFlavor`s supported by this instance
    `void` | `handleImage(RenderingContext context, org.apache.xmlgraphics.image.loader.Image image, java.awt.Rectangle pos)` Handles the given `Image` instance painting it at the indicated position in the output format being generated.
    `boolean` | `isCompatible(RenderingContext targetContext, org.apache.xmlgraphics.image.loader.Image image)` Indicates whether the image handler is compatible with the indicated target represented by the rendering context object and with the image to be processed.
    `protected void` | `setAdditionalParameters(AFPDataObjectInfo dataObjectInfo, org.apache.xmlgraphics.image.loader.impl.ImageRawStream image)` Sets additional parameters on the image object info being built.

    - ### Methods inherited from class org.apache.fop.render.afp.AFPImageHandler

      `createObjectAreaInfo, createResourceInformation, generateDataObjectInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AFPImageHandlerRawCCITTFax

          public AFPImageHandlerRawCCITTFax()

  - ### Method Detail

    - #### setAdditionalParameters

          protected void setAdditionalParameters(AFPDataObjectInfo dataObjectInfo,
                                                 org.apache.xmlgraphics.image.loader.impl.ImageRawStream image)

      Sets additional parameters on the image object info being built. By default, this method does nothing but it can be overridden to provide additional functionality.
      Overrides:
        `setAdditionalParameters` in class `AbstractAFPImageHandlerRawStream`
      Parameters:
        `dataObjectInfo` - the image object info being built
        `image` - the image being processed

    - #### handleImage

          public void handleImage(RenderingContext context,
                                  org.apache.xmlgraphics.image.loader.Image image,
                                  java.awt.Rectangle pos)
                           throws java.io.IOException

      Handles the given `Image` instance painting it at the indicated position in the output format being generated.
      Specified by:
        `handleImage` in interface `ImageHandler`
      Overrides:
        `handleImage` in class `AbstractAFPImageHandlerRawStream`
      Parameters:
        `context` - the rendering context
        `image` - the image to be handled
        `pos` - the position and scaling of the image relative to the origin point of the current viewport (in millipoints)
      Throws:
        `java.io.IOException` - if an I/O error occurs

    - #### createDataObjectInfo

          protected AFPDataObjectInfo createDataObjectInfo()

      Creates the data object information object
      Specified by:
        `createDataObjectInfo` in class `AFPImageHandler`
      Returns:
        the data object information object

    - #### getPriority

          public int getPriority()

      Returns the priority for this image handler. A lower value means higher priority. This information is used to build the ordered/prioritized list of supported ImageFlavors. The built-in handlers use priorities between 100 and 999.
      Returns:
        a positive integer (>0) indicating the priority

    - #### getSupportedImageClass

          public java.lang.Class getSupportedImageClass()

      Returns the `Class` subclass supported by this instance.
      Returns:
        the image Class type

    - #### getSupportedImageFlavors

          public org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedImageFlavors()

      Returns the `ImageFlavor`s supported by this instance
      Returns:
        the supported image flavors

    - #### isCompatible

          public boolean isCompatible(RenderingContext targetContext,
                                      org.apache.xmlgraphics.image.loader.Image image)

      Indicates whether the image handler is compatible with the indicated target represented by the rendering context object and with the image to be processed. The image is also passed as a parameter because a handler might not support every subtype of image that is presented. For example: in the case of `ImageXMLDOM`, the image might carry an SVG or some other XML format. One handler might only handle SVG but no other XML format.
      Parameters:
        `targetContext` - the target rendering context
        `image` - the image to be processed (or null if only to check based on the rendering context)
      Returns:
        true if this handler is compatible with the target rendering context

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.